.NET Framework 4.7.1 Runtime and Compiler Features

October 05, 2017
.NET Framework 4.7.1 Runtime and Compiler Features
.NET Framework 4.7.1 has built-in support for .NET Standard 2.0. .NET Framework 4.7.1 adds about 200 missing APIs that were part of .NET Standard 2.0 but not actually implemented by .NET Framework 4.6.1, 4.6.2 or 4.7. You can refer to details on .NET Standard on .NET Standard Microsoft docs. While libraries targeting .NET Standard 2.0 can be consumed by applications and libraries targeting .NET Framework 4.6.1 and higher, not all files that are required for .NET Standard libraries were part of .NET Framework 4.6.1. In fact, .NET Framework 4.6.1 was shipped before .NET Standard 2.0 was even designed. That’s why building an application targeting .NET Framework 4.6.1, as well as .NET Framework 4.6.2 and 4.7, will have to deploy additional .NET Standard 2.0 support files.